Subject: Re: gitweb testing with non-apache web server

From: Marc Singer <[email-masked]>
Date: Thu, 3 Aug 2006 13:27:03 -0700

On Thu, Aug 03, 2006 at 03:21:52PM -0400, Blu Corater wrote:
> Here is the interesting part of my cherokee.conf
> 
> ------------------------------------------
> UserDir public_html {
>     Directory / {
>        Handler common
>     }
> 
>     Directory /scm/ {
>         Handler cgi {
>                 ScriptAlias /home/blu/bin/gitweb.cgi
>         }
>     }
> }
> -----------------------------------------
> 
> So, I have the gitweb.cgi executable in a bin directory on my home and I
> am telling Cherokee that when it sees the url http://server/~blu/scm/, it
> should execute /home/blu/bin/gitweb.cgi
> 
> If I request http://server/~blu/scm, Cherokee returns Cherokee's default
> index page. Only if I request http://server/~blu/scm/, Cherokee returns
> the expected output from gitweb.
> 
> Now, if I add 
> 
>     Directory /test/ {
> 	Handler cgi
>     }
> 
> And copy gitweb.cgi to ~/public_html/test/, it seems there is no problem.
> 
> I can request http://server/~blu/test/gitweb.cgi or
> http://server/~blu/test/gitweb.cgi/ and get the expected gitweb output.
> 
> It looks more like a Cherokee problem to me, but I don't have time to
> investigate further right now.

Hmm.  I was hopeful when I saw that your configuration was different
from mine.  However, it seems to be something else.  BTW, I'm running
cherokee on ARM.

========================================
Directory / {
    Handler common
}

Directory /g/ {
    Handler cgi {
        Scriptalias /usr/lib/cgi-bin/git.cgi
    }
}
Directory /git/ {
    Handler cgi {
        Scriptalias /usr/lib/cgi-bin/gitweb.cgi
    }
}
========================================

gitweb.cgi is an old version.  git.cgi is the latest release.

I can see the project overview page, but all of the links bring me
back to the same top-level page, no summary, not logs.  I've verified
that the web server's user can read the git repo. 

I don't doubt that this is a cherokee issue.

Cheers.